Package com.sun.jna.platform.win32

# Class Variant.VARIANT._VARIANT.__VARIANT.BRECORD

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Variant.VARIANT._VARIANT.__VARIANT.BRECORD

Direct Known Subclasses:
  `Variant.VARIANT._VARIANT.__VARIANT.BRECORD.ByReference`

Enclosing class:
  Variant.VARIANT._VARIANT.__VARIANT

@FieldOrder({"pvRecord","pRecInfo"}) public static class Variant.VARIANT._VARIANT.__VARIANT.BRECORD extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Variant.VARIANT._VARIANT.__VARIANT.BRECORD.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `pRecInfo`
  `WinDef.PVOID`
  `pvRecord`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BRECORD()`
  `BRECORD(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pvRecord

    public WinDef.PVOID pvRecord

  - ### pRecInfo

    public Pointer pRecInfo

- ## Constructor Details

  - ### BRECORD

    public BRECORD()

  - ### BRECORD

    public BRECORD(Pointer pointer)